<?php

namespace CustomerManagement\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetCustomerList StructType
 * @subpackage Structs
 */
class GetCustomerList extends AbstractStructBase
{
    /**
     * The includeTermed
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $includeTermed;
    /**
     * Constructor method for GetCustomerList
     * @uses GetCustomerList::setIncludeTermed()
     * @param bool $includeTermed
     */
    public function __construct($includeTermed = null)
    {
        $this
            ->setIncludeTermed($includeTermed);
    }
    /**
     * Get includeTermed value
     * @return bool
     */
    public function getIncludeTermed()
    {
        return $this->includeTermed;
    }
    /**
     * Set includeTermed value
     * @param bool $includeTermed
     * @return \CustomerManagement\StructType\GetCustomerList
     */
    public function setIncludeTermed($includeTermed = null)
    {
        // validation for constraint: boolean
        if (!is_null($includeTermed) && !is_bool($includeTermed)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($includeTermed, true), gettype($includeTermed)), __LINE__);
        }
        $this->includeTermed = $includeTermed;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \CustomerManagement\StructType\GetCustomerList
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
